unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, DTPageOrientation, StdCtrls;

type
  TMainForm = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    GroupBox1: TGroupBox;
    id_Vertical: TRadioButton;
    id_Horizontal: TRadioButton;
    id_ShowCaption: TCheckBox;
    id_OrientationChanged: TLabel;
    GroupBox2: TGroupBox;
    id_Flat: TRadioButton;
    id_Sunken: TRadioButton;
    id_Edged: TRadioButton;
    GroupBox3: TGroupBox;
    id_PortraitCaption: TEdit;
    id_LandscapeCaption: TEdit;
    procedure id_ShowCaptionClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure id_FlatClick(Sender: TObject);
    procedure id_LandscapeCaptionChange(Sender: TObject);
    procedure id_PortraitCaptionChange(Sender: TObject);
    procedure id_VerticalClick(Sender: TObject);
    Procedure PageOrientationChanged(Sender: TObject);
  private
     FNbChanges : Integer;
     FDTPageOrientation : TDTPageOrientation;
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}


procedure TMainForm.FormCreate(Sender: TObject);
begin
     FNbChanges := 0;

     FDTPageOrientation := TDTPageOrientation.Create(Self);
     FDTPageOrientation.Parent := Panel1;
     FDTPageOrientation.Align := alClient;

     FDTPageOrientation.Color := clBtnFace;
     FDTPageOrientation.PageBackgroundColor := clWhite;
     FDTPageOrientation.PageOrientationBorderStyle := POBS_Flat;
     FDTPageOrientation.PortraitCaption := '&Portrait';
     FDTPageOrientation.LandscapeCaption := '&Landscape';
     FDTPageOrientation.TabStop := True;
     FDTPageOrientation.ShowCaptions := True;
     FDTPageOrientation.PageLayout := PL_Horizontal;
     FDTPageOrientation.OnPageOrientationChanged := PageOrientationChanged;

     id_PortraitCaption.Text := FDTPageOrientation.PortraitCaption;
     id_LandscapeCaption.Text := FDTPageOrientation.LandscapeCaption;
end;


{ ---------------------------------------------------------------------------- }
Procedure TMainForm.id_FlatClick(Sender: TObject);
Begin
     If id_Flat.Checked Then
          FDTPageOrientation.PageOrientationBorderStyle := POBS_Flat
     Else If id_Sunken.Checked Then
          FDTPageOrientation.PageOrientationBorderStyle := POBS_Sunken
     Else FDTPageOrientation.PageOrientationBorderStyle := POBS_Edged;
End;


{ ---------------------------------------------------------------------------- }
procedure TMainForm.id_LandscapeCaptionChange(Sender: TObject);
begin
     FDTPageOrientation.LandscapeCaption := id_LandscapeCaption.Text;
end;


{ ---------------------------------------------------------------------------- }
procedure TMainForm.id_PortraitCaptionChange(Sender: TObject);
begin
     FDTPageOrientation.PortraitCaption := id_PortraitCaption.Text;
end;


{ ---------------------------------------------------------------------------- }
procedure TMainForm.id_VerticalClick(Sender: TObject);
begin
     If id_Vertical.Checked Then
          FDTPageOrientation.PageLayout := PL_Vertical
     Else FDTPageOrientation.PageLayout := PL_Horizontal;
end;


{ ---------------------------------------------------------------------------- }
Procedure TMainForm.PageOrientationChanged(Sender: TObject);
Begin
     Inc(FNbChanges);
     id_OrientationChanged.Caption := Format('%d - Page orientation changed', [FNbChanges]);
End;


{ ---------------------------------------------------------------------------- }
procedure TMainForm.id_ShowCaptionClick(Sender: TObject);
begin
     FDTPageOrientation.ShowCaptions := id_ShowCaption.Checked;
end;


end.
